Bug 124841 - Default Charactor Coding should be UTF-8
Default Charactor Coding should be UTF-8
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-05-31 02:44 EDT by Phil Anderson
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-28 13:48:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Anderson 2004-05-31 02:44:28 EDT
Description of problem:
The default character encoding in mozilla should be UTF-8 to be
consistent with the rest of the environment.

Steps to Reproduce:
1. Delete your .mozilla directory
2. Start mozilla
3. Look at the default charactor coding (Edit->Prefs,

Actual Results:  It's ISO-8859-1

Expected Results:  It should be Unicode (UTF-8)

Additional info:

If you build  a web page in composer, using the default character
encoding (ISO-8859-1) and you use extended charactors, they will not
display correctly using the default apache configuration on FC2, as
apache sends a header to the client telling the client that the file
is UTF-8.  

i.e. If you build a web page with the default mozilla settings, it
won't work with the default apache settings!

Maybe this is an apache bug... maybe it isn't.  But, still, mozilla
should have the default coding set to UTF-8 to be consistent with the
rest of FC2.
Comment 1 Phil Anderson 2004-05-31 02:48:23 EDT
FYI..... From the FC2 apache configuration.  Note that it was
previously iso-8859-1.

# Specify a default charset for all pages sent out. This is
# always a good idea and opens the door for future internationalisation
# of your web site, should you ever want it. Specifying it as
# a default does little harm; as the standard dictates that a page
# is in iso-8859-1 (latin1) unless specified otherwise i.e. you
# are merely stating the obvious. There are also some security
# reasons in browsers, related to javascript and URL parsing
# which encourage you to always set a default char set.
AddDefaultCharset UTF-8
Comment 2 Matthew Miller 2005-04-26 12:32:09 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 John Thacker 2006-10-28 13:48:50 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.  If it still
occurs on FC5 or FC6, please reopen and assign to the correct version.

mozilla itself is not shipped in FC6, so for most of these bugs that means
testing in FC5 or against firefox.

Note You need to log in before you can comment on or make changes to this bug.